#!/bin/bash
# 08-03-2018  mts  intial release
# Script used to restore files from backup after c2c files installed 

# Only create backups 1st time rpm is installed.
# Restore  jar files from /cyflex/c2c_pam_backup/specfilegui to /cyflex/specfilegui/
if [  -d /cyflex/c2c_pam_backup/specfilegui/ ]; then
rsync -aq /cyflex/c2c_pam_backup/specfilegui/ExternalDataManager.jar /cyflex/specfilegui/.
rsync -aq /cyflex/c2c_pam_backup/specfilegui/specfilegui.jar /cyflex/specfilegui/.
rsync -aq /cyflex/c2c_pam_backup/specfilegui/facade.jar /cyflex/specfilegui/.
fi

# Restore jar files from /cyflex/c2c_pam_backup/specfilegui to /cyflex/specfilegui.3rdparty/
if [ -d /cyflex/c2c_pam_backup/specfilegui.3rdparty/ ]; then
rsync -aq /cyflex/c2c_pam_backup/specfilegui.3rdparty/SocketServer.jar /cyflex/specfilegui.3rdparty/.
rsync -aq /cyflex/c2c_pam_backup/specfilegui.3rdparty/hopper_utilities.jar /cyflex/specfilegui.3rdparty/.
rsync -aq /cyflex/c2c_pam_backup/specfilegui.3rdparty/ojdbc.jar /cyflex/specfilegui.3rdparty/.
rsync -aq /cyflex/c2c_pam_backup/specfilegui.3rdparty/javax.persistence_2.0.3.jar /cyflex/specfilegui.3rdparty/.
rsync -aq /cyflex/c2c_pam_backup/specfilegui.3rdparty/eclipselink.jar /cyflex/specfilegui.3rdparty/.
rsync -aq /cyflex/c2c_pam_backup/specfilegui.3rdparty/jsch.jar /cyflex/specfilegui.3rdparty/.
fi


# Restore cmd scripts from /cyflex/c2c_pam_backup/cmds/ to /cyflex/cmds
if [ -d /cyflex/c2c_pam_backup/cmds/ ]; then
rsync -aq /cyflex/c2c_pam_backup/cmds/extdatman.cummins.pamssl /cyflex/cmds/.
rsync -aq /cyflex/c2c_pam_backup/cmds/start_pam_ssl_loading /cyflex/cmds/.
rsync -aq /cyflex/c2c_pam_backup/cmds/stop_pam_ssl_loading /cyflex/cmds/.
fi

# Restore  specs files from /cyflex/c2c_pam_backup/specs/ to /specs/
if [  -d /cyflex/c2c_pam_backup/specs/ ]; then
rsync -aq /cyflex/c2c_pam_backup/specs/extdatman.cummins.pamssl /specs/.
fi

